# Scrittura e Lettura di un tag NFC utilizzando un RaspberryPi.

# hardware:
#   - NFC_Tag:      NTAG213 (NXP)
#   - NFC_Shield:   PN523   (Adafruit)

# PN532 e Raspberry comunicano via SPI.

from config import CS, MOSI, MISO, SCLK, pn532


# Attendi che un tag venga rilevato dal lettore.
# Quando accade salva il suo numero seriale nella variabile Uid.
print'\nWaiting for an NFC tag...'
Uid = pn532.read_passive_target()
while Uid is None:
    Uid = pn532.read_passive_target()
    
# Scrittura
data_w = "eeee"                                 # dato da scrivere
pag = 4                                         # pagina da scrivere

raw_input("\nPress ENTER to write the tag.")

ans = pn532.NTAG21x_write(pag, data_w)

if ans:
    print '\nPage 4 written properly'
else:
    print '\nAn error occurred writing page 4'


    
# Lettura

raw_input("\n\n\nPress ENTER to read the tag.")

data_r = pn532.NTAG21x_read(4)                  # funzione definita nel file PN532.py
                                                # restituisce i 4 Bytes presenti nella pagina letta.
print''
print 'data:',data_r
print'\n\n\n'
